curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderCancellationRequestId": "82992d3a-b153-4422-b539-f4d1f1b4aecb",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "2.0"
}
],
"message": "<string>"
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation"
payload = {
"orderCancellationRequestId": "82992d3a-b153-4422-b539-f4d1f1b4aecb",
"sellerId": "4711",
"orderId": "43523-43432-43532",
"orderItem": [
{
"orderItemId": "5437233",
"quantity": "2.0"
}
],
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderCancellationRequestId: '82992d3a-b153-4422-b539-f4d1f1b4aecb',
sellerId: '4711',
orderId: '43523-43432-43532',
orderItem: [{orderItemId: '5437233', quantity: '2.0'}],
message: '<string>'
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/order/cancellation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Request Order Cancellation
Request cancallation for a Order or OrderItem
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
Cancellation request originating from the marketplace that the seller has to accept or deny.
A unique identifier for the order cancellation request. This ID should by used by Seller to identify the cancellation response from the Channel.
"82992d3a-b153-4422-b539-f4d1f1b4aecb"
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
1 - 150"43523-43432-43532"
1Show child attributes
Show child attributes
- BUYER_CANCELLED: the buyer cancelled the order.
- UNDELIVERABLE_TO_SHIPPING_ADDRESS: Could not deliver to the address given by the buyer.
- UNDELIVERABLE_BY_CARRIER: Carrier does not ship to the buyer's location.
- OUT_OF_STOCK: The item is out of stock, for example because you are temporarily or permanently sold out.
- DELAYED_INVENTORY: The item is not in your inventory and there is a delay in delivery by the supplier.
- PRICING_ERROR: The price on the connected marketplace was incorrect.
- OTHER: Well, obviously there is some reason missing in this list.
BUYER_CANCELLED, UNDELIVERABLE_TO_SHIPPING_ADDRESS, UNDELIVERABLE_BY_CARRIER, OUT_OF_STOCK, DELAYED_INVENTORY, PRICING_ERROR, OTHER 1024Response
Order Cancellation received.
Was this page helpful?